summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--Makefile3
-rwxr-xr-xbin/checkMissingLink15
2 files changed, 18 insertions, 0 deletions
diff --git a/Makefile b/Makefile
index ad04750..7edebe3 100644
--- a/Makefile
+++ b/Makefile
@@ -19,6 +19,9 @@ check: ## check for missing songs
check: ## make download should be run first
cat links | musicDir=./music xargs -n1 bin/checkMissing
+reversecheck: ## check for orphan files in directory
+ ls music/* | xargs -n1 bin/checkMissingLink
+
checkmp3: ## check for missing songs
checkmp3: ## make download should be run first
cat links | musicDir=./mp3 xargs -n1 bin/checkMissingmp3
diff --git a/bin/checkMissingLink b/bin/checkMissingLink
new file mode 100755
index 0000000..f1ea0df
--- /dev/null
+++ b/bin/checkMissingLink
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+file=$1
+id=$(echo "$file" | sed 's/.*\(.\{11\}\)\.ogg/\1/')
+
+#Wattie_Green_-_Dark_eyes-gdlFy3dRVck.ogg
+
+if [ $id = '' ]; then
+ echo 'no id'
+ exit 23
+fi
+
+if ! grep -q -- "$id#" links; then
+ echo $file
+fi \ No newline at end of file